package com.objis.demoaspectj.aspects;

import com.objis.demoaspectj.banque.CompteBancaire;
import com.objis.demoaspectj.securite.ServiceAuthentification;


public aspect SecurityAspect {
	private ServiceAuthentification authenticator = new ServiceAuthentification();

	pointcut secureAccess()
        : execution(* CompteBancaire.retrait(..));

	before() : secureAccess() {
		System.out.println("Authentification de l'utilisateur :");
		authenticator.authenticate();
	}
}